org.eclipse.wst.jsdt.chromium.debug.ui.actions

## Class TemporarilyFormatSourceAction

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction<java.util.List<? extends T>>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.TemporarilyFormatSourceAction

    public class TemporarilyFormatSourceAction
    extends SelectionBasedAction<java.util.List<? extends T>>

An action delegate for "Temporarily format source". It formats downloaded JavaScript source, i.e. a file under virtual project and puts the result into another file under virtual project. It also registers a mapping between these 2 files.

Additionally the action may work in another mode: "Delete formatted source". This mode gets enabled when user selection contains files created in "Temporarily format source".

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`SelectionBasedAction.ActionRunnable, SelectionBasedAction.Single<T>`

### Constructor Summary

Constructors
Constructor and Description
`TemporarilyFormatSourceAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SelectionBasedAction.ActionRunnable` `createRunnable(java.util.List<? extends org.eclipse.wst.jsdt.chromium.debug.ui.actions.TemporarilyFormatSourceAction.ResourceData> resourceDataList)`
`protected java.util.List<? extends RES>` `readSelection(IStructuredSelection selection)`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`dispose, getAction, init, modifyActionText, restoreActionText, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemporarilyFormatSourceAction

    public TemporarilyFormatSourceAction()

### Method Detail

#### createRunnable

    protected SelectionBasedAction.ActionRunnable createRunnable(java.util.List<? extends org.eclipse.wst.jsdt.chromium.debug.ui.actions.TemporarilyFormatSourceAction.ResourceData> resourceDataList)

Specified by:
  `createRunnable` in class `SelectionBasedAction<java.util.List<? extends org.eclipse.wst.jsdt.chromium.debug.ui.actions.TemporarilyFormatSourceAction.ResourceData>>`

#### readSelection

    protected java.util.List<? extends RES> readSelection(IStructuredSelection selection)

Specified by:
  `readSelection` in class `SelectionBasedAction<java.util.List<? extends RES>>`